c_ftcurv(3NCARG)

NAME
c_ftcurv - 1D interpolation for non-periodic functions

FUNCTION PROTOTYPE
int c_ftcurv (int, float [], float [], int, float [], float []);

SYNOPSIS
int c_ftcurv (n, xi, yi, m, xo, yo);

DESCRIPTION

n   The number of input data points. (n > 1)

xi  An array containing the abscissae for the input function.

yi  An array containing the functional values of the input function -- y(k) is the functional value at x(k) for k=0,n.

m   The number of desired interpolated values.

xo  An array containing the abscissae for the interpolated values.

yo  An array containing the interpolated functional values -- yo(k) is the functional value at xo(k) for k=0,n.

RETURN VALUE
c_ftcurv returns an error value as per:

= 0 -- no error.
= 1 -- if n is less than 2.
= 2 -- if X values are not strictly increasing.

USAGE
c_ftcurv is called after all of the desired values for control parameters have been set using the procedures c_ftseti, c_ftsetr, c_ftsetc. Control parameters that apply to c_ftcurv are: sig, sl1, sln, sf1.

ACCESS
To use c_ftcurv, load the NCAR Graphics library ngmath.

SEE ALSO
fitgrid_params, c_ftseti, c_ftsetr, c_ftsetc.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.